org.eclipse.rdf4j.sail.elasticsearch

## Class ElasticsearchDocumentScore

- java.lang.Object
- - org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentResult
  - - org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentScore

- All Implemented Interfaces:
    DocumentResult, DocumentScore

      public class ElasticsearchDocumentScore
      extends ElasticsearchDocumentResult
      implements DocumentScore

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentResult

      `hit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchDocumentScore(org.elasticsearch.search.SearchHit hit, com.google.common.base.Function<? super String,? extends org.locationtech.spatial4j.context.SpatialContext> geoContextMapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getScore()`
    `Iterable<String>` | `getSnippets(String property)`
    `boolean` | `isHighlighted()`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentResult

      `getDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.lucene.DocumentResult

      `getDocument`

- - ### Constructor Detail

    - #### ElasticsearchDocumentScore

          public ElasticsearchDocumentScore(org.elasticsearch.search.SearchHit hit,
                                            com.google.common.base.Function<? super String,? extends org.locationtech.spatial4j.context.SpatialContext> geoContextMapper)

  - ### Method Detail

    - #### getScore

          public float getScore()

      Specified by:
        `getScore` in interface `DocumentScore`

    - #### isHighlighted

          public boolean isHighlighted()

      Specified by:
        `isHighlighted` in interface `DocumentScore`

    - #### getSnippets

          public Iterable<String> getSnippets(String property)

      Specified by:
        `getSnippets` in interface `DocumentScore`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.